package controller

import (
	knowledgeBaseSvc "narasi-ahli-be/app/module/knowledge_base/service"
)

type Controller struct {
	KnowledgeBase  KnowledgeBaseControllerInterface
}

func NewController(
	knowledgeBaseService knowledgeBaseSvc.KnowledgeBaseServiceInterface,
) *Controller {
	return &Controller{
		KnowledgeBase: NewKnowledgeBaseController(knowledgeBaseService),
	}
}
